Bug 1509191 - detach start does not kill the tierd
Summary: detach start does not kill the tierd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: hari gowtham
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1446381
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-03 10:17 UTC by hari gowtham
Modified: 2018-09-04 06:39 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1446381
Environment:
Last Closed: 2018-09-04 06:38:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:39:45 UTC

Description hari gowtham 2017-11-03 10:17:45 UTC
+++ This bug was initially created as a clone of Bug #1446381 +++

Description of problem:
The detach start command does not kill the tierd, It is killed by detach commit.

Version-Release number of selected component (if applicable):
3.10 and above

How reproducible:
100%

Steps to Reproduce:
1.create a tiered volume
2.mount it and write data to it.
3.issue detach start

Actual results:
we can see that the promotions are going on in the detach status
and we can also find the tier process.

Expected results:
the tier process should not be available after the detach start.

Additional info:

--- Additional comment from Worker Ant on 2017-04-28 06:41:15 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#1) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-05-03 07:36:41 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#2) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-05-17 09:01:41 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#3) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-05-31 05:45:00 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#4) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-06-05 06:09:59 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#5) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-06-13 04:16:58 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#6) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-06-19 01:44:55 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#7) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-06-19 03:45:30 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#8) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-06-19 03:48:14 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#9) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-06-19 06:20:23 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#10) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-06-20 02:28:07 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#11) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-07-17 03:09:15 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#12) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-07-18 07:23:28 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#13) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-07-24 07:10:10 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#14) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-07-25 02:14:16 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#15) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-07-26 05:27:19 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#16) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-07-27 02:07:46 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#17) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-01 06:04:04 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#18) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-02 05:57:47 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#19) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-03 08:50:29 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#20) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-10 04:11:45 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#21) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-22 05:26:40 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#22) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-28 02:36:59 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#23) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-29 06:27:24 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#24) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-08-30 04:19:56 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#25) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-09-01 04:53:53 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#26) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-09-12 03:06:08 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#27) for review on master by hari gowtham (hari.gowtham005@gmail.com)

--- Additional comment from Worker Ant on 2017-09-13 03:04:38 EDT ---

REVIEW: https://review.gluster.org/17137 (Tier: Stop tierd for detach start) posted (#28) for review on master by hari gowtham (hari.gowtham005@gmail.com)

Comment 2 Sunil Kumar Acharya 2017-11-03 12:35:13 UTC
Upstream patch: https://review.gluster.org/#/c/17137/

Comment 7 errata-xmlrpc 2018-09-04 06:38:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.